'----------------------------------------------------------------------------------------
'    Name:  Smtp_Pop_Clbks.Inc
'    Type:  TIGER-BASIC(tm) Source Code
' Release:  1.01a
' Purpose:  Callback tasks for smtp, pop client demos
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------

#ifndef SMTP_POP_CLBKS_INC
#define SMTP_POP_CLBKS_INC

byte bTcpClosedByServer

#ifdef TS_WEB_MODULE
'' byte bPppIsUp
byte bPppIsDown
byte bModemDataReceived
#endif	'' TS_WEB_MODULE

#ifdef TS_DHCP_ENABLED
byte bDhcpIsUp
#endif


''  lActAcceptSocket, wActAcceptSABlockLen, sActAcceptSABlock$
task OnAccept
end


''  lActDataSocket, lActDataSize, sActDataBuffer$
task OnData
  if lActDataSocket >= 0 and lActDataSize > 0 then
    if lActDataSocket = lSmtpSocket then
      bSmtpDataCome = TRUE
    else
      if lActDataSocket = lPopSocket then
        bPopDataCome = TRUE
      endif
    endif
  endif
end


''lActRemoteCloseSocket
task OnRemoteClose
  bTcpClosedByServer = TRUE
end


#ifdef TS_WEB_MODULE
#cm
task OnPppUp
  bPppIsUp = TRUE
end
#endcm

task OnPppDown
  bPppIsDown = TRUE
end

'' lActModemDataSize, sActModemDataBuffer$
task OnModemData
  bModemDataReceived = TRUE
end
#endif	'' TS_WEB_MODULE


#ifdef TS_DHCP_ENABLED
'' lActDhcpUpIpAddr, lActDhcpUpNetMask, lActDhcpUpGateway
task OnDhcpUp
  bDhcpIsUp = TRUE
end
#endif


#ifdef TS_UDP_ENABLED
'' lActRecvFromAddress, wActRecvFromPort,
'' wActRecvFromFlags, lActRecvFromDataSize, sActRecvFromDataBuffer$(RECV_PACK_MAX_LEN)
task OnDataRecvFrom
end
#endif


#endif

